 <?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames(([
     'class' => 'col-md-6 mb-3',
     'name' => null,
     'label' => null,
     'type' => 'text',
     'id' => null,
     'readonly' => false,
     'required' => false,
     'value' => null,
     'placeholder' => null,
     'formText' => null,
 ]));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter(([
     'class' => 'col-md-6 mb-3',
     'name' => null,
     'label' => null,
     'type' => 'text',
     'id' => null,
     'readonly' => false,
     'required' => false,
     'value' => null,
     'placeholder' => null,
     'formText' => null,
 ]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars, $__key, $__value); ?>

 <div class="<?php echo e($class); ?>">
     <?php if($label): ?>
         <label for="<?php echo e($id ?? $name); ?>" class="form-label"><?php echo e($label); ?></label>
     <?php endif; ?>

     <?php if($type === 'textarea'): ?>
         <textarea id="<?php echo e($id ?? $name); ?>" name="<?php echo e($name); ?>" class="form-control <?php $__errorArgs = [$name];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
             <?php echo e($readonly ? 'readonly' : ''); ?> <?php echo e($required ? 'required' : ''); ?> placeholder="<?php echo e($placeholder); ?>" cols="30" rows="5"><?php echo e(old($name, $value)); ?></textarea>
     <?php else: ?>
         <input type="<?php echo e($type); ?>" id="<?php echo e($id ?? $name); ?>" name="<?php echo e($name); ?>"
             placeholder="<?php echo e($placeholder); ?>" class="form-control <?php $__errorArgs = [$name];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
             value="<?php echo e(old($name, $value)); ?>" <?php echo e($readonly ? 'readonly' : ''); ?> <?php echo e($required ? 'required' : ''); ?>>
     <?php endif; ?>

     <?php $__errorArgs = [$name];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
         <span class="invalid-feedback"><?php echo e($message); ?></span>
     <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

     <?php if($formText): ?>
         <small class="form-text text-muted">
             <?php echo e($formText); ?>

         </small>
     <?php endif; ?>
 </div>
<?php /**PATH C:\xampp\htdocs\projects\online-banking-v7.2\resources\views/components/dashboard/user/form-input.blade.php ENDPATH**/ ?>